Show / Hide Table of Contents

# Class FileDialogManager

A manager for the FileDialog class.

##### Inheritance

System.Object
FileDialogManager

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface.ImGuiFileDialog

###### Assembly: Dalamud.dll

##### Syntax

    public class FileDialogManager

### Methods

| Improve this Doc View Source

#### Draw()

Draws the current dialog, if any, and executes the callback if it is finished.

##### Declaration

    public void Draw()

| Improve this Doc View Source

#### OpenFileDialog(String, String, Action<Boolean, String>)

Create a dialog which selects an already existing file.

##### Declaration

    public void OpenFileDialog(string title, string filters, Action<bool, string> callback)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | title | The header title of the dialog.
System.String | filters | Which files to show in the dialog.
System.Action<System.Boolean, System.String> | callback | The action to execute when the dialog is finished.

| Improve this Doc View Source

#### OpenFolderDialog(String, Action<Boolean, String>)

Create a dialog which selects an already existing folder.

##### Declaration

    public void OpenFolderDialog(string title, Action<bool, string> callback)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | title | The header title of the dialog.
System.Action<System.Boolean, System.String> | callback | The action to execute when the dialog is finished.

| Improve this Doc View Source

#### Reset()

Removes the current dialog, if any.

##### Declaration

    public void Reset()

| Improve this Doc View Source

#### SaveFileDialog(String, String, String, String, Action<Boolean, String>)

Create a dialog which selects an already existing folder or new file.

##### Declaration

    public void SaveFileDialog(string title, string filters, string defaultFileName, string defaultExtension, Action<bool, string> callback)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | title | The header title of the dialog.
System.String | filters | Which files to show in the dialog.
System.String | defaultFileName | The default name to use when creating a new file.
System.String | defaultExtension | The extension to use when creating a new file.
System.Action<System.Boolean, System.String> | callback | The action to execute when the dialog is finished.

| Improve this Doc View Source

#### SaveFolderDialog(String, String, Action<Boolean, String>)

Create a dialog which selects an already existing folder or new folder.

##### Declaration

    public void SaveFolderDialog(string title, string defaultFolderName, Action<bool, string> callback)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | title | The header title of the dialog.
System.String | defaultFolderName | The default name to use when creating a new folder.
System.Action<System.Boolean, System.String> | callback | The action to execute when the dialog is finished.